use kalast::base::time::Time;
use kalast::DAY;

#[test]
fn creation_time_vector() {
    let dur = 1. * DAY;
    let dt = 30.;
    let time = Time::new(dur, dt);

    assert_eq!(time.size(), 2881);
    assert_eq!(time.duration(), dur);
    assert_eq!(time.time_step(), dt);
    assert_eq!(time.time_step_between(0, 1), dt);
    assert_eq!(time.time_step_between(0, 1), dt);
    assert_eq!(time[0], 0.);
    assert_eq!(time[time.size() - 1], dur);
}
